Get device by ID
curl --request GET \
--url https://dashboard.hologram.io/api/1/devices/{deviceId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dashboard.hologram.io/api/1/devices/{deviceId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dashboard.hologram.io/api/1/devices/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/devices/{deviceId}';
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"orgid": 123,
"type": "<string>",
"whencreated": "<string>",
"tags": [
"<string>"
],
"links": {
"cellular": [
{
"id": 123,
"deviceid": 123,
"orgid": 123,
"sim": "<string>",
"msisdn": "<string>",
"imsi": 123,
"state": "INACTIVE",
"profile_state": "AVAILABLE",
"apn": "<string>",
"zone": 123,
"overagelimit": 123,
"carrier": 123,
"whencreated": "<string>",
"whenexpires": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
]
},
"eid": "<string>",
"imei": "<string>",
"imei_sv": "<string>",
"tunnelable": 0,
"hidden": 0,
"phonenumber": "<string>",
"phonenumber_cost": "<string>",
"simcardid": 123,
"intended_network_state": "INACTIVE",
"intended_plan_id": 123,
"euicc_tested": "<string>",
"is_hyper": true,
"model": "<string>",
"manufacturer": "<string>",
"preflight_starttime": "<string>",
"preflight_scheduled_endtime": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
}Devices
Get device by ID
Retrieves the details of an existing device. Specify the unique device identifier (device ID) in the request URL, which you can find on the Dashboard.
GET
/
devices
/
{deviceId}
Get device by ID
curl --request GET \
--url https://dashboard.hologram.io/api/1/devices/{deviceId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dashboard.hologram.io/api/1/devices/{deviceId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dashboard.hologram.io/api/1/devices/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/devices/{deviceId}';
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"orgid": 123,
"type": "<string>",
"whencreated": "<string>",
"tags": [
"<string>"
],
"links": {
"cellular": [
{
"id": 123,
"deviceid": 123,
"orgid": 123,
"sim": "<string>",
"msisdn": "<string>",
"imsi": 123,
"state": "INACTIVE",
"profile_state": "AVAILABLE",
"apn": "<string>",
"zone": 123,
"overagelimit": 123,
"carrier": 123,
"whencreated": "<string>",
"whenexpires": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
]
},
"eid": "<string>",
"imei": "<string>",
"imei_sv": "<string>",
"tunnelable": 0,
"hidden": 0,
"phonenumber": "<string>",
"phonenumber_cost": "<string>",
"simcardid": 123,
"intended_network_state": "INACTIVE",
"intended_plan_id": 123,
"euicc_tested": "<string>",
"is_hyper": true,
"model": "<string>",
"manufacturer": "<string>",
"preflight_starttime": "<string>",
"preflight_scheduled_endtime": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
}Authorizations
HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.
Path Parameters
ID of the device
Was this page helpful?
⌘I